Bug 1307033 - kernel-4.5.0-0.rc3.git1.1.fc24: kernel BUG at include/linux/page-flags.h:272!
kernel-4.5.0-0.rc3.git1.1.fc24: kernel BUG at include/linux/page-flags.h:272!
Status: CLOSED DUPLICATE of bug 1303860
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 09:09 EST by Ralf Corsepius
Modified: 2016-05-14 22:51 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-03 22:25:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2016-02-12 09:09:44 EST
Description of problem:
On a rawhide installation, booting hangs/doesn't finish.

Last line is "Starting Terminate Plymouth Boot Screen..."
Afterwards, no graphical login pops up, Ctrl-Alt F<N> doesn't work, 
Remote login is possible.


dmesg tells:

[   74.416387] page dumped because: VM_BUG_ON_PAGE(1 && PageCompound(page))
[   74.416464] ------------[ cut here ]------------
[   74.417022] kernel BUG at include/linux/page-flags.h:272!
[   74.417022] invalid opcode: 0000 [#1] SMP 
[   74.417022] Modules linked in: fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge stp llc ebtable_filter ebtable_nat ebtables ip6table_security ip6table_raw ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iTCO_wdt iTCO_vendor_support gpio_ich msi_wmi sparse_keymap coretemp arc4 rt2800pci rt2800mmio rt2800lib rt2x00pci joydev snd_hda_codec_realtek rt2x00mmio snd_hda_codec_generic rt2x00lib snd_hda_intel mac80211 snd_hda_codec snd_hda_core cfg80211 eeprom_93cx6 snd_hwdep lpc_ich crc_ccitt snd_seq r8169 rfkill snd_seq_device mii snd_pcm
[   74.417022]  wmi snd_timer snd acpi_cpufreq fjes soundcore tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 ums_realtek uas serio_raw i2c_algo_bit drm_kms_helper syscopyarea sysfillrect usb_storage sysimgblt fb_sys_fops drm video
[   74.417022] CPU: 0 PID: 1365 Comm: Xorg Not tainted 4.5.0-0.rc3.git1.1.fc24.i686 #1
[   74.417022] Hardware name: MEDION E1210/E1210, BIOS 4.6.3 01/14/2009
[   74.417022] task: ee24a100 ti: ee182000 task.ti: ee182000
[   74.417022] EIP: 0060:[<f7de4a82>] EFLAGS: 00013286 CPU: 0
[   74.417022] EIP is at drm_pci_alloc+0xc2/0x1b0 [drm]
[   74.417022] EAX: 00000000 EBX: 00004000 ECX: f73d0ea8 EDX: 00000007
[   74.417022] ESI: ee2c54b0 EDI: c0409260 EBP: ee183b90 ESP: ee183b6c
[   74.417022]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
[   74.417022] CR0: 80050033 CR2: b6895000 CR3: 36b8a000 CR4: 000006d0
[   74.417022] Stack:
[   74.417022]  024040c0 00000000 f4812864 f8048688 024040c0 62c6e88f 00000000 f4a763c0
[   74.417022]  f4a76438 ee183ba8 f7fbdf6f 00000100 f6c09400 f4b5b540 f4b5bcc0 ee183bdc
[   74.417022]  f8004a1b ee09d400 f6c98000 f097e000 f7fec601 ee09d400 f6c8e400 00000000
[   74.417022] Call Trace:
[   74.417022]  [<f7fbdf6f>] i915_gem_object_attach_phys+0xef/0x190 [i915]
[   74.417022]  [<f8004a1b>] intel_prepare_plane_fb+0x18b/0x300 [i915]
[   74.417022]  [<f7fec601>] ? haswell_crtc_compute_clock+0x1/0x30 [i915]
[   74.417022]  [<f7dac265>] drm_atomic_helper_prepare_planes+0x45/0xb0 [drm_kms_helper]
[   74.417022]  [<f7ffc089>] intel_atomic_commit+0x249/0x16c0 [i915]
[   74.417022]  [<f7ffea86>] ? intel_atomic_check+0x9a6/0x10e0 [i915]
[   74.417022]  [<c05b27e5>] ? __kmalloc_track_caller+0x175/0x220
[   74.417022]  [<f7ffe0e0>] ? intel_link_compute_m_n+0x50/0x50 [i915]
[   74.417022]  [<f7df9a3f>] ? drm_atomic_check_only+0x19f/0x670 [drm]
[   74.417022]  [<f7df9374>] ? drm_atomic_get_crtc_state+0x54/0xc0 [drm]
[   74.417022]  [<c057ad1a>] ? kmemdup+0x2a/0x40
[   74.417022]  [<f7ffbe40>] ? modeset_get_crtc_power_domains+0x140/0x140 [i915]
[   74.417022]  [<f7df9f44>] drm_atomic_commit+0x34/0x60 [drm]
[   74.417022]  [<f7dacc3c>] drm_atomic_helper_update_plane+0xbc/0x100 [drm_kms_helper]
[   74.417022]  [<f7dacb80>] ? drm_atomic_helper_wait_for_vblanks+0x210/0x210 [drm_kms_helper]
[   74.417022]  [<f7de9c0b>] __setplane_internal+0x1eb/0x230 [drm]
[   74.417022]  [<f7de9dce>] drm_mode_cursor_common+0x17e/0x3a0 [drm]
[   74.417022]  [<f7dee050>] ? drm_mode_setcrtc+0x570/0x570 [drm]
[   74.417022]  [<f7dee0a7>] drm_mode_cursor_ioctl+0x57/0x70 [drm]
[   74.417022]  [<f7ddf2d9>] drm_ioctl+0x149/0x4f0 [drm]
[   74.417022]  [<f7fc0e76>] ? i915_gem_fault+0xa6/0x500 [i915]
[   74.417022]  [<f7dee050>] ? drm_mode_setcrtc+0x570/0x570 [drm]
[   74.417022]  [<c0589d87>] ? __do_fault+0x67/0x180
[   74.417022]  [<f7ddf190>] ? drm_getmap+0xc0/0xc0 [drm]
[   74.417022]  [<c05d8fc1>] do_vfs_ioctl+0x91/0x6f0
[   74.417022]  [<c06ca5dd>] ? selinux_file_ioctl+0xfd/0x1c0
[   74.417022]  [<c06c142c>] ? security_file_ioctl+0x3c/0x60
[   74.417022]  [<c05d9688>] SyS_ioctl+0x68/0x80
[   74.417022]  [<c0401bbf>] do_fast_syscall_32+0x8f/0x140
[   74.417022]  [<c0af7358>] sysenter_past_esp+0x3d/0x5d
[   74.417022] Code: 70 8d 82 00 00 00 40 c1 e8 0c 8d 0c 80 a1 04 31 ff c0 8d 04 c8 8b 08 80 e5 40 74 7d 90 8d 74 26 00 ba 60 b4 e0 f7 e8 ae 2e 7a c8 <0f> 0b 8d 74 26 00 8d 55 ec 8d 45 e4 e8 6d 46 62 c8 84 c0 0f 84
[   74.417022] EIP: [<f7de4a82>] drm_pci_alloc+0xc2/0x1b0 [drm] SS:ESP 0068:ee183b6c
[   74.703556] ---[ end trace fb11718d2a991286 ]---


Version-Release number of selected component (if applicable):
kernel-4.5.0-0.rc3.git1.1.fc24 

How reproducible:
Always.

Additional info:
kernel-4.5.0-0.rc3.git1.1.fc24 is the first kernel from the kernel-4.5.0 series which (almost) boots at all for me on this machine.
Comment 1 Ralf Corsepius 2016-04-07 21:48:51 EDT
Same with kernel-4.5.0-302.fc24.i686+PAE
Comment 2 Rex Dieter 2016-05-03 22:25:27 EDT

*** This bug has been marked as a duplicate of bug 1303860 ***

Note You need to log in before you can comment on or make changes to this bug.